#ifndef _KEYPAD_H_
#define _KEYPAD_H_

#include <WString.h>
#include <optional>

constexpr float FONT_SIZE_NORMAL = 4.0;
constexpr float FONT_SIZE_LARGE = 8.0;

class Keypad
{
public:
    Keypad();
    int get_button_index_from_touch(int x, int y);
    void draw();
    void write(String);
    std::optional<String> get_input();

private:
    int last_index = -1;
    String oldinput = "";
    String input = "";

    void draw_button(int index);
    void draw_input_field();
    void draw_input();

    std::optional<String> check_input();
};

#endif